## sch-rnd 1.0.9

=== src/Makefile ===
all:
	cd libcschem && $(MAKE)
	cd sch-rnd && $(MAKE)

dep:
	cd libcschem && $(MAKE) dep
	cd sch-rnd && $(MAKE) dep

clean:
	cd libcschem && $(MAKE) clean
	cd sch-rnd && $(MAKE) clean

distclean:
	cd libcschem && $(MAKE) distclean
	cd sch-rnd && $(MAKE) distclean

install:
	cd sch-rnd && $(MAKE) install

linstall:
	cd sch-rnd && $(MAKE) linstall

uninstall:
	cd sch-rnd && $(MAKE) uninstall
