=== doc/tutorial/Makefile ===
ROOT=../..
TUTDIR=$(DOCDIR)/tutorial

all:

install_all:
	$(SCCBOX) mkdir -p $(TUTDIR)
	$(SCCBOX) $(HOW) -d *.html $(TUTDIR)

install:
	$(MAKE) install_all HOW="install -f -d"

linstall:
	$(MAKE) install_all HOW="install -f -l -d"

uninstall:
	$(MAKE) install_all HOW="install -u"

clean:

distclean:


include $(ROOT)/Makefile.conf
