=== tests/hier/Makefile ===
all:

test:
	@for n in *; do if test -d $$n; then cd $$n && make test || exit 1; cd ..; fi; done
	@echo "*** QC PASS ***"

clean:
	@for n in *; do if test -d $$n; then cd $$n && make clean; cd ..; fi; done

distclean:
	@for n in *; do if test -d $$n; then cd $$n && make distclean; cd ..; fi; done
