=== src/plugins/attbl_tedax/Makefile ===
all:
	cd ../../sch-rnd && make mod_attbl_tedax
