=== src/plugins/io_tinycad/Makefile ===
all:
	cd ../../sch-rnd && make mod_io_tinycad
