=== src/plugins/std_tools/Makefile ===
all:
	cd ../../sch-rnd && make mod_std_tools
