=== src/plugins/target_spice/Makefile ===
all:
	cd ../../sch-rnd && make mod_target_spice
