=== tests/hier/spice_slot/Makefile ===
ROOT=../../..
SRC=$(ROOT)/src/sch-rnd
HERE=$(shell pwd)

all:

test:
	@cd $(SRC) && ./sch-rnd -x spice --outfile $(HERE)/spc.out $(HERE)/project.lht && cd $(HERE)
	@diff -u spc.ref spc.out
	@rm spc.out

distclean clean:
	touch spc.out
	rm spc.out
