=== debian/changelog ===
sch-rnd (1.0.9-2) unstable; urgency=medium

  * work around problems introduced by gcc 15, closes: #1097853

 -- Bdale Garbee <bdale@gag.com>  Sun, 07 Sep 2025 01:26:06 -0600

sch-rnd (1.0.9-1) unstable; urgency=medium

  * new upstream version

 -- Bdale Garbee <bdale@gag.com>  Wed, 21 May 2025 13:58:23 -0600
