=== debian/rules ===
#!/usr/bin/make -f

DH_VERBOSE = 1
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

# resolve FTBFS with gcc 15 until upstream comes up with a better solution
CFLAGS += -std=c17 -Wno-error=implicit-function-declaration

%:
	dh $@

override_dh_auto_clean:
	# only try to run dh_auto_clean if configure has been run
	test -f Makefile.conf && dh_auto_clean || true

override_dh_auto_configure:
	./configure \
		--LDFLAGS='$(LDFLAGS)' \
		--CFLAGS='$(CFLAGS) $(CPPFLAGS)' \
		\
		--symbols \
		--prefix=/usr \
		--confdir=/etc/sch-rnd \
		--prefix/libs/script/fungw=/dev/null \
		\
		--all=disable \
		--buildin-funcmap \
		--buildin-act_read \
		--buildin-place \
		--buildin-symlib_local \
		--buildin-lib_netlist_exp \
		--buildin-std_tools \
		--buildin-renumber \
		--buildin-io_ngrp_tedax \
		--buildin-backann \
		--buildin-std_cschem \
		--buildin-export_tedax \
		--buildin-lib_tedax \
		--buildin-lib_anymap \
		--buildin-hlibrary_fs \
		--buildin-std_forge \
		--buildin-std_devmap \
		--buildin-propedit \
		--buildin-io_ngrp_fawk \
		--buildin-io_lihata \
		--buildin-lib_nanojson \
		--buildin-export_boxsym \
		--buildin-target_spice \
		--buildin-target_pcb \
		--buildin-lib_attbl \
		--buildin-act_draw \
		--buildin-target_none \
		--buildin-symlib_fs \
		--buildin-query \
		--buildin-lib_target \
		--buildin-export_spice \
		--buildin-lib_ngrp \
		--buildin-construct \
		--plugin-lib_alien \
		--plugin-io_eeschema \
		--plugin-export_ps \
		--plugin-export_bom \
		--plugin-export_abst \
		--plugin-attbl_tedax \
		--plugin-io_orcad \
		--plugin-io_altium \
		--plugin-sim_gui \
		--plugin-sch_dialogs \
		--plugin-lib_plot \
		--plugin-export_lpr \
		--plugin-attbl_csv \
		--plugin-export_tedax_footprint \
		--plugin-attbl_json \
		--plugin-export_svg \
		--plugin-sim \
		--plugin-gui \
		--plugin-diag \
		--plugin-sim_ngspice \
		--plugin-io_easyeda \
		--plugin-io_tinycad \
		--plugin-io_geda \
		--plugin-export_png \
		--plugin-attbl_lht \
		--plugin-lib_ucdf 
	cat scconfig/config.log
	cat scconfig/config.cache

override_dh_auto_test:
	dh_auto_test --no-parallel
