=== src_3rd/Makefile ===
ROOT=..

include $(ROOT)/Makefile.conf

all: libminuid/minuid

clean:
	cd libminuid && make clean && cd ..
	cd libucdf && make clean && cd ..
	cd libuundo && make clean && cd ..
	cd load_cache && make clean && cd ..
	-rm rnd_inclib/font/*.o

distclean: clean

install_: libminuid/minuid
	-$(SCCBOX) mkdir -p $(LIBDIR)/boxsym-rnd
	$(CPC) "`pwd`/libminuid/minuid$(EXE)" "$(LIBDIR)/minuid$(EXE)"

install:
	$(MAKE) install_ CPC="$(SCCBOX) install"

linstall:
	$(MAKE) install_ CPC="$(SCCBOX) linstall"

uninstall:
	$(MAKE) install_ CPC="$(SCCBOX) uninstall"

include $(ROOT)/Makefile.conf

libminuid/minuid:
	cd ../src/libcschem && make ../../src_3rd/libminuid/minuid && cd ..
