=== tests/Makefile ===
all:
	cd export_abst && $(MAKE) all && cd ..
	cd export_spice && $(MAKE) all && cd ..
	cd std_forge_cond && $(MAKE) all && cd ..
	cd hier && $(MAKE) all && cd ..

test:
	@cd export_abst && $(MAKE) test && cd ..
	@cd export_spice && $(MAKE) test && cd ..
	@cd std_forge_cond && $(MAKE) test && cd ..
	@cd hier && $(MAKE) test && cd ..
	@echo ""
	@echo "======================================================="
	@echo "=== All tests passed; it is safe to install sch-rnd ==="
	@echo "======================================================="
	@echo ""

clean:
	cd export_abst && $(MAKE) clean && cd ..
	cd export_spice && $(MAKE) clean && cd ..
	cd std_forge_cond && $(MAKE) clean && cd ..
	cd hier && $(MAKE) clean && cd ..


distclean:
	cd export_abst && $(MAKE) distclean && cd ..
	cd export_spice && $(MAKE) distclean && cd ..
	cd std_forge_cond && $(MAKE) distclean && cd ..
	cd hier && $(MAKE) distclean && cd ..
