=== doc/man/Makefile ===
# This Makefile is a plain old hand written one; all configuration settings
# are included from $(ROOT)/Makefile.conf which is scconfig generated
ROOT=../..

IN=sch-rnd.1.mml boxsym-rnd.1.mml boxsym-rnd.5.mml
OUT_HTML = sch-rnd.1.html boxsym-rnd.1.html boxsym-rnd.5.html
OUT_MAN1 = sch-rnd.1 boxsym-rnd.1 boxsym-rnd.5
OUT_LINT = sch-rnd.1.lint boxsym-rnd.1.lint boxsym-rnd.5.lint

OUTPUT = $(OUT_HTML) $(OUT_MAN1) index.html
MML = mml

all: $(OUTPUT)

lint: $(OUT_LINT)

.SUFFIXES: .html .mml .lint

.mml.html: .mml_linkmap
	$(MML) -i copyright.mml -f html $<  > $@

.mml:
	$(MML) -i copyright.mml -f man $<  > $@

.mml_linkmap:
	$(MML) -i copyright.mml -f linkmap $(IN) > $@

index.html: $(IN)
	@echo '<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">' > $@
	@echo '<HTML><HEAD><meta http-equiv="Content-Type" content="text/html;charset=us-ascii"><TITLE>man page index - sch-rnd</TITLE></HEAD><BODY><UL>' >> $@
	$(MML) -i copyright.mml -f indexhtml $(IN) >> $@
	@echo "</UL></BODY></HTML>" >> $@

clean:

distclean:

genclean:
	rm $(OUTPUT) 2>/dev/null ; true

.mml.lint:
	$(MML) -i copyright.mml -f lint $<

install_all:
	$(SCCBOX) mkdir -p "$(MAN1DIR)" "$(MAN5DIR)"
	$(SCCBOX) $(HOW) "sch-rnd.1" "$(MAN1DIR)/sch-rnd.1"
	$(SCCBOX) $(HOW) "boxsym-rnd.1" "$(MAN1DIR)/boxsym-rnd.1"
	$(SCCBOX) $(HOW) "boxsym-rnd.5" "$(MAN5DIR)/boxsym-rnd.5"

install:
	$(MAKE) install_all HOW="install -f"

linstall:
	$(MAKE) install_all HOW="linstall -f"

uninstall:
	$(MAKE) install_all HOW="uninstall"

include $(ROOT)/Makefile.conf
