=== src_3rd/libucsv/Makefile ===
CFLAGS = -Wall -g

tester: tester.o libucsv.o

tester.o: tester.c libucsv.h

libucsv.o: libucsv.c libucsv.h

test: tester
	@cd regression && ./test_all.sh && echo "*** QC PASS ***"
