=== debian/changelog ===
sch-rnd (1.0.10-1) unstable; urgency=medium

  * new upstream version

 -- Bdale Garbee <bdale@gag.com>  Sun, 26 Oct 2025 16:41:40 -0600
  
