=== debian/control ===
Source: sch-rnd
Section: electronics
Priority: optional
Maintainer: Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>
Uploaders: Bdale Garbee <bdale@gag.com>
Build-Depends: debhelper-compat (= 11), librnd4-dev (>= 4.2.0), libxml2-dev
Standards-Version: 4.1.3
Homepage: http://repo.hu/projects/sch-rnd
Vcs-Git: https://salsa.debian.org/electronics-team/ringdove-eda/sch-rnd.git
Vcs-Browser: https://salsa.debian.org/electronics-team/ringdove-eda/sch-rnd

Package: sch-rnd
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, sch-rnd-core (= ${binary:Version}), sch-rnd-io-alien (= ${binary:Version}), sch-rnd-lib-gui (= ${binary:Version}), librnd4-hid-gtk4-gl, sch-rnd-export-extra (= ${binary:Version}), sch-rnd-doc (= ${source:Version})
Suggests: camv-rnd, pcb-rnd, route-rnd
Description: Standard installation of sch-rnd
 sch-rnd is a highly modular schematic capture software with a rich set of
 plugins for communicating with various external design tools and other
 EDA/CAD packages.
 .
 Feature highlights:
   - explicit abstract model
   - back annotation support
   - multiple sheets
 .
 File formats and compatibility:
   - text based, tree structured native file format (lihata)
   - import netlist:
     * altium schematics
     * EasyEDA std, multi-page schematics sheets
     * KiCAD eeschema schematics version 20211123 .. 20250114
     * geda schematics (v2)
     * lihata cschem schematics (any version)
     * cschem non-graphical schematic sheets in fawk format
     * cschem non-graphical schematic sheets in tEDAx format
     * orcad schematics
     * TinyCAD schematics
   - export netlist:
     * Accel netlist
     * Allegro netlist
     * Bae netlist
     * Cadstar netlist
     * Calay netlist
     * Eagle netlist
     * Easyeda netlist
     * Edif netlist
     * Ewnet netlist
     * Fritzing netlist
     * Futurenet dash netlist
     * generic JSON netlist
     * KiCAD/pcbnew netlist
     * Maxascii netlist
     * Orcad netlist
     * Osmond netlist
     * PADS ASCII netlist
     * ProtelII netlist
     * Racal-Redac netlist
     * Systemc netlist
     * Tango netlist
     * tEDAx netlist
     * TinyCAD netlist
     * generic XML netlist
     * lihata cschem schematics (any version)
   - import misc:
     * attribute table CSV
     * attribute table json
     * attribute table lihata
     * attribute table tEDAx
     * BXL symbol
     * EasyEDA std, symbol
     * EasyEDA pro, symbol
     * geda symbol (v1)
     * lihata cschem symbol (any version)
   - export misc:
     * attribute table CSV
     * attribute table json
     * attribute table lihata
     * attribute table tEDAx
     * abstract model text
     * Bill of Materials
     * boxsym
     * Eagle5 tabular net+bom
     * printer (using ps)
     * png
     * ps
     * eps
     * spice
     * svg
     * tdx
     * lihata cschem symbol (any version)

Package: sch-rnd-doc
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Documentation for sch-rnd
 User manual and developer doc (html).

Package: sch-rnd-sim
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, sch-rnd-core (= ${binary:Version}), sch-rnd-lib-gui (= ${binary:Version})
Description: High level circuit simulation
 Circuit simulation that can export and execute SPICE (ngspice) in the
 background and save or present the results. Works both from the GUI
 (with dialogs for configuring simulation setups, presenting plots and
 data in the same dialog) and from CLI (with actions using existing
 configuration, saving output data to a computer readable file).

Package: sch-rnd-io-alien
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, sch-rnd-core (= ${binary:Version})
Description: File format compatibility with other schematics capture tools.
 Load and/or save boards in file formats supported by other EDA tools,
 geda/gschem, lepton-eda, TinyCAD, Altium.

Package: sch-rnd-export-gd
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, sch-rnd-core (= ${binary:Version}), librnd4-pixmap (>= 4.2.0)
Description: Export formats that require libgd.
 Bitmap export plugin (png, jpeg, etc.)

Package: sch-rnd-lib-gui
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, sch-rnd-core (= ${binary:Version}), librnd4-lib-gui (>= 4.2.0)
Description: Support library for building the GUI.
 Provides sch-rnd specific dialog boxes and top window GUI elements.

Package: sch-rnd-core
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, librnd4t64 (>= 4.2.0)
Description: sch-rnd executable with the core functionality and boxsym-rnd
 Includes the data model, the most common action commands, the native
 file format. Can be used in headless mode or batch/scripted mode for
 automated processing or with GUI (if sch-rnd-lib-gui and librnd GUI
 HIDs are installed).

Package: sch-rnd-export-vector
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, sch-rnd-core (= ${binary:Version})
Description: Export formats: vector graphics
 Common vector graphic export formats: ps, eps, svg.

Package: sch-rnd-export-extra
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, sch-rnd-core (= ${binary:Version}), sch-rnd-export-vector (= ${binary:Version})
Description: Export formats: special/extra
 Less commonly used export formats: abstract model text export, direct
 printing with lpr.

Package: sch-rnd-debug
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, sch-rnd-core (= ${binary:Version})
Description: Debug and diagnostics.
 Extra action commands to help in debugging and diagnosing problems
 and bugs.
