=== debian/rules ===
--- 
+++ 
@@ -4,9 +4,6 @@
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
 DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
-
-# resolve FTBFS with gcc 15 until upstream comes up with a better solution
-CFLAGS += -std=c17 -Wno-error=implicit-function-declaration
 
 %:
 	dh $@
@@ -58,34 +55,57 @@
 		--buildin-export_spice \
 		--buildin-lib_ngrp \
 		--buildin-construct \
+		--plugin-io_easyeda \
+		--plugin-export_osmond \
+		--plugin-export_lpr \
+		--plugin-sch_dialogs \
+		--plugin-export_systemc \
+		--plugin-io_eeschema \
+		--plugin-export_orcad \
+		--plugin-sim_ngspice \
+		--plugin-export_cadstar \
+		--plugin-export_pads_ascii \
+		--plugin-io_geda \
+		--plugin-export_redac \
+		--plugin-gui \
+		--plugin-attbl_json \
+		--plugin-export_bom \
+		--plugin-export_easyeda \
+		--plugin-export_protelII \
+		--plugin-export_jsonnet \
+		--plugin-export_accel \
+		--plugin-sim_gui \
 		--plugin-lib_alien \
-		--plugin-io_eeschema \
+		--plugin-export_futurenet2 \
+		--plugin-lib_ucdf \
+		--plugin-io_altium \
+		--plugin-export_tedax_footprint \
+		--plugin-export_edif \
+		--plugin-attbl_tedax \
 		--plugin-export_ps \
-		--plugin-export_bom \
+		--plugin-io_orcad \
+		--plugin-export_maxascii \
+		--plugin-export_tango \
+		--plugin-io_tinycad \
+		--plugin-attbl_csv \
+		--plugin-sim \
+		--plugin-diag \
+		--plugin-export_xmlnet \
+		--plugin-export_allegro \
+		--plugin-export_svg \
+		--plugin-export_eagle \
+		--plugin-attbl_lht \
+		--plugin-export_kicad \
+		--plugin-export_png \
+		--plugin-export_bae \
+		--plugin-export_calay \
 		--plugin-export_abst \
-		--plugin-attbl_tedax \
-		--plugin-io_orcad \
-		--plugin-io_altium \
-		--plugin-sim_gui \
-		--plugin-sch_dialogs \
+		--plugin-export_ewnet \
+		--plugin-export_fritzing \
+		--plugin-io_bxl \
+		--plugin-export_eagle5 \
 		--plugin-lib_plot \
-		--plugin-export_lpr \
-		--plugin-attbl_csv \
-		--plugin-export_tedax_footprint \
-		--plugin-attbl_json \
-		--plugin-export_svg \
-		--plugin-sim \
-		--plugin-gui \
-		--plugin-diag \
-		--plugin-sim_ngspice \
-		--plugin-io_easyeda \
-		--plugin-io_tinycad \
-		--plugin-io_geda \
-		--plugin-export_png \
-		--plugin-attbl_lht \
-		--plugin-lib_ucdf 
-	cat scconfig/config.log
-	cat scconfig/config.cache
+		--plugin-export_tinycad \
 
 override_dh_auto_test:
 	dh_auto_test --no-parallel
